#ifndef __TOP_H_
#define __TOP_H_

#include <systemc.h>

class Initiator;
class Target;
class Router;

SC_MODULE( TOP )
{
public:
    TOP( sc_module_name name );
    ~TOP();

//private:
    enum { TARGET_MAX = 256 };

    Initiator     *initiator;
    Target        *target[TARGET_MAX];
    Router        *router;

private:
    const unsigned int targetNum; 
};

#endif /* __TOP_H_ */
